Page MenuHomePhabricator

API example for ReadingLists misses closing tag </kbd>
Closed, ResolvedPublic

Description

I think there is a mistake on MediaWiki:Apihelp-readinglists+createentry-example-1: The closing tag </kbd> is missing.

Event Timeline

Guycn2 created this task.Mar 27 2018, 9:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper renamed this task from Mistake in API example (ReadingLists) to API example for ReadingLists misses closing tag </kbd>.Mar 27 2018, 12:33 PM
Aklapper added a project: good first bug.
Anomie moved this task from Unsorted to Non-core-API stuff on the MediaWiki-API board.
Tgr added a subscriber: Tgr.Mar 27 2018, 3:37 PM

Thanks @Guycn2! Do you want to write a patch for it?

Guycn2 added a comment.EditedMar 27 2018, 4:27 PM

Thanks @Guycn2! Do you want to write a patch for it?

@Tgr - Yes, I will we happy to do it! But unfortunately, I don't know how to write patches... I guess this file should be changed (line 92), but I don't know how can I edit it... Could you please help me with it...?

@Guycn2: See https://www.mediawiki.org/wiki/Gerrit/Tutorial for some info. Happy hacking! :)

Thank you. But I'm stuck... When I type "$ ls ~/.ssh" on Git CMD, I get the following error message:

'$1' is not recognized as an internal or external command, operable program or batch file.

@Guycn2: I've updated the guide. Please feel free to ask general Gerrit support questions (not directly related to this task's topic) on the talk page. Thanks!

@Aklapper: Thank you, but unfortunately I still get the same error message, even without the dollar sign. Anyway, I will ask on the talk page soon, but I think it's better if you or Tgr will write this specific patch... Thanks again.

Tgr added a comment.Mar 30 2018, 3:35 PM

You can create patches via the web interface using the Create Change button on https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/ReadingLists . Not sure if it's much easier (Gerrit's UI leaves a lot to wish for) but might be worth a shot.

Guycn2 added a comment.EditedMar 30 2018, 8:38 PM

@Tgr I think I have succeeded! Could you please check it to make sure I haven't done anything worng?

The patch is here:
https://gerrit.wikimedia.org/r/#/c/423177/

Tgr added a comment.Mar 30 2018, 8:48 PM

The patch is correct, but it should be against the master branch, not wmf/1.31.0-wmf.27.

Tgr added a comment.Mar 30 2018, 9:04 PM

Also, you can add

Bug: T190786

in the commit summary (just above the change ID line) to link the commit to this task.

@Tgr
Done, thank you so much for your help! I have two questions:

  1. When will this change take affect on Wikimedia wikis?
  2. How can I determine which branch is the appropriate one for each patch? I ask so I can know for future patches that I'll write...
  1. After the patch gets a "+2" by a reviewer and gets merged, it will go live within a week.
  2. master is always the Git branch to target as it will become the next deployed version. If it's an important change it could be backported to a different branch.

Thanks for your patch! :)

  1. After the patch gets a "+2" by a reviewer and gets merged, it will go live within a week.
  2. master is always the Git branch to target as it will become the next deployed version. If it's an important change it could be backported to a different branch.

Thanks for your patch! :)

OK, thank you both for your help, I really appreciate it!

Change 423184 had a related patch set uploaded (by Gergő Tisza; owner: Guycn2):
[mediawiki/extensions/ReadingLists@master] Fix close tag for [[MediaWiki:Apihelp-readinglists+createentry-example-1]].

https://gerrit.wikimedia.org/r/423184

Change 423184 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Fix close tag for [[MediaWiki:Apihelp-readinglists+createentry-example-1]].

https://gerrit.wikimedia.org/r/423184

Tgr closed this task as Resolved.Mar 31 2018, 12:36 PM
Tgr assigned this task to Guycn2.